<?php

	class IDEALCHECKOUT_FOR_DRUPAL_7_AND_COMMERCE_1_3_0
	{
		// Return the software name
		public static function getSoftwareName()
		{
			return 'Drupal 7 and Commerce 1.3+';
		}



		// Return the software code
		public static function getSoftwareCode()
		{
			return str_replace('_', '-', substr(basename(__FILE__), 0, -4));
		}



		// Return path to main cinfig file (if any)
		public static function getConfigFile()
		{
			return SOFTWARE_PATH . DS . 'sites' . DS . 'default' . DS . 'settings.php';
		}



		// Return path to main config file (if any)
		public static function getConfigData()
		{
			$sConfigFile = self::getConfigFile();
			
			$sConfigFile = self::getConfigFile();

			// Detect DB settings via configuration file
			if(is_file($sConfigFile))
			{
				include($sConfigFile);

				if(sizeof($databases) && !empty($databases['default']['default']['host']))
				{
					return $databases['default']['default'];
				}

			}

			return '';
		}



		// Find default database settings
		public static function getDatabaseSettings($aSettings)
		{
			$aSettings['db_prefix'] = '';
			$aConfigData = self::getConfigData();			
			
			if(!empty($aConfigData))
			{
				$aSettings['db_host'] = $aConfigData['host'];
				$aSettings['db_user'] = $aConfigData['username'];
				$aSettings['db_pass'] = $aConfigData['password'];
				$aSettings['db_name'] = $aConfigData['database'];
				$aSettings['db_prefix'] = $aConfigData['prefix'];
							
				$aSettings['db_type'] = (version_compare(PHP_VERSION, '5.3', '>') ? 'mysqli' : 'mysql');
			}

			return $aSettings;
		}



		// See if current software == self::$sSoftwareCode
		public static function isSoftware()
		{
			$aFiles = array();
			$aFiles[] = SOFTWARE_PATH . DS . 'sites' . DS . 'default' . DS . 'settings.php';

			$aFiles[] = SOFTWARE_PATH . DS . 'sites';
			$aFiles[] = SOFTWARE_PATH . DS . 'themes';


			foreach($aFiles as $sFile)
			{
				if(!is_file($sFile) && !is_dir($sFile))
				{
					return false;
				}
			}

			return true;
		}




		// Install plugin, return text
		public static function doInstall($aSettings)
		{
			IDEALCHECKOUT_INSTALL::doInstall($aSettings);
			return true;
		}



		// Install plugin, return text
		public static function getInstructions($aSettings)
		{
			$sHtml = '';
			$sHtml .= '<ol>';
			$sHtml .= '<li>Log in op de beheeromgeving van uw webshop.</li>';
			$sHtml .= '<li>Ga naar Administration / Payment Methods.</li>';
			$sHtml .= '<li>Klik op de knop "Add Payment".</li>';
			$sHtml .= '<li>Vul bij het veld "Name/Naam" de waarde "iDEAL" in en bij het veld "Processor/Verwerkingseenheid" de waarde "iDEAL Checkout - iDEAL". Klik daarna op de "Create"-knop.</li>';
			$sHtml .= '<li>Herhaal stap 3 en 4 voor de overige betaalmethoden die u wilt aanbieden in uw webshop.</li>';
			$sHtml .= '</ol>';

			return $sHtml;
		}
	}

?>